gfx = love.graphics
wdw = love.window

function love.load()
	dist = 30
	speed = 100
	lifeTime = .75
	
	t = gfx.newImage("texture.png")
	t2 = gfx.newImage("texture2.png")
	
	burnerGlowPS = gfx.newParticleSystem(t2, 25)
	burnerGlowPS:start()
	burnerGlowPS:setEmissionRate(25)
	burnerGlowPS:setSizes(10, 0)
	burnerGlowPS:setPosition(0, 20)
	burnerGlowPS:setAreaSpread("uniform", 10, 10)
	burnerGlowPS:setInsertMode("random")
	burnerGlowPS:setRotation(math.pi * 1.5)
	burnerGlowPS:setParticleLifetime(lifeTime)
	burnerGlowPS:setDirection(math.pi)
	burnerGlowPS:setColors(255, 255, 255, 25)
	
	trailPS = gfx.newParticleSystem(t2, 25)
	trailPS:start()
	trailPS:setEmissionRate(25)
	trailPS:setSizes(8, 10)
	trailPS:setSpeed(speed * 4, speed * 6)
	trailPS:setPosition(0, 20)
	trailPS:setSpread(.5)
	trailPS:setInsertMode("random")
	trailPS:setParticleLifetime(lifeTime)
	trailPS:setDirection(math.pi / 2)
	trailPS:setColors(255, 255, 255, 25, 255, 255, 255, 0)
	
	mainThrustPS = gfx.newParticleSystem(t, 1000)
	mainThrustPS:start()
	mainThrustPS:setSpeed(1 * speed, 4 * speed)
	mainThrustPS:setEmissionRate(100)
	mainThrustPS:setSizes(1, 5, 0)
	mainThrustPS:setAreaSpread("uniform", 3, 0)
	mainThrustPS:setInsertMode("random")
	mainThrustPS:setSizeVariation(1)
	mainThrustPS:setParticleLifetime(lifeTime)
	mainThrustPS:setDirection(math.pi / 2)
	mainThrustPS:setColors(255, 255, 255, 100, 255, 255, 255, 255, 255, 255, 255, 0)

	sideThrustPS = gfx.newParticleSystem(t, 1000)
	sideThrustPS:start()
	sideThrustPS:setSpeed(1 * speed, 4 * speed)
	sideThrustPS:setEmissionRate(100)
	sideThrustPS:setSizes(.5, 2.5, 0)
	sideThrustPS:setAreaSpread("uniform", 3, 0)
	sideThrustPS:setInsertMode("random")
	sideThrustPS:setSizeVariation(1)
	sideThrustPS:setParticleLifetime(.75)
	sideThrustPS:setDirection(math.pi / 2)
	sideThrustPS:setColors(255, 255, 255, 100, 255, 255, 255, 255, 255, 255, 255, 0)
	
	x, y = wdw.getWidth() / 2 - t:getWidth() / 2, 50
end

function love.update(dt)
	mainThrustPS:update(dt)
	burnerGlowPS:update(dt)
	sideThrustPS:update(dt)
	trailPS:update(dt)
end

function love.draw()
	gfx.setBlendMode("alpha")
		gfx.draw(burnerGlowPS, x, y)
		gfx.draw(trailPS, x, y + speed * 2)
	gfx.setBlendMode("additive")
		gfx.draw(sideThrustPS, x - dist, y)
		gfx.draw(mainThrustPS, x, y)
		gfx.draw(sideThrustPS, x + dist, y)
end